function set_monitor(){
	set_type();
	set_fps();
	set_monitorVolume();
}

function set_type(){

	args={
		"Function"	 	 : "APPS_SET_MULTIVIEW_STATUS",
		"sessid"    	 : $.cookie("sessid"),
		"MultiviewType"	 : $("#set_multi_type").val(),
	}
    _json_service( 0, args, callback=function( channel, args){	
	});
}

function set_fps(){

	args = {
		"Function"	 	 : "APPS_SET_MONITOR_FPS",
		"sessid"    	 : $.cookie("sessid"),
		"MultiviewFps"	 : $("#set_multi_fps").val(),
		"PgmFps"	     : $("#set_pgm_fps").val(),
	}
	_json_service( 0, args, callback=function( channel, args){
	});
}

function get_multi(){


	args = {
		"Function"	 	 : "APPS_GET_MONITOR_FPS",
		"sessid"    	 : $.cookie("sessid"),
	}
	_json_service( 0, args, callback=function( channel, args){

		$("#set_multi_fps").val(args["MultiviewFps"]);
		$("#set_pgm_fps").val(args["PgmFps"]);
    });

}

function get_monitor(){
		
	args = {
		"Function"	 	 : "APPS_GET_MULTIVIEW_STATUS",
		"sessid"    	 : $.cookie("sessid"),
	}

	_json_service( 0, args, callback=function( channel, args){
		$("#set_multi_type").val(args["MultiviewType"]);
	});
}

function sdi_hdmi_display()
{

		var args = {
            sessid   : $.cookie("sessid"),
            Function : "SYSTEM_GET_BOARD_PROPERTY",
        }

        _json_service( 0, args, callback=function(channel, args){

            let boardID=args["BoardID"];

			if (boardID.search("N4H") >= 0) {

				$(".monitor_sdi").hide();
				$(".monitor_hdmi").show();
			}
			else if(boardID.search("N4S") >= 0) {

				$(".monitor_sdi").show();
				$(".monitor_hdmi").hide();
		 	}

            console.log("args[BoardID] = ["+args["BoardID"]+"]");
		});
}

function set_monitorVolume(){

		rangeSlider();

		var current_vol = $("#multi_volume_range").val();

		var volume;

		if(current_vol == 0){

			volume = 0;
		}
		else if(current_vol == 50){

			volume = 255;
		}
		else{

			volume = parseInt(current_vol)+103;
		}

		//console.log("cal volume is ..... "+ volume);

		//var volume = $("#multi_volume_range").val()*255/50;

		var args = {
            sessid   : $.cookie("sessid"),
            Function : "APPS_SET_MONITOR_VOLUME",
			MultiviewVolume : volume,
			PgmVolume		: $("#pgm_volume_range").val(),
        }
		console.log("multi volume: "+ $("#multi_volume_range").val());
		console.log("pgm volume: "+ $("#pgm_volume_range").val());
        _json_service( 0, args, callback=function(channel, args){
			
			console.log("cal volume is ..... "+ volume);
		});
}

function get_monitorVolume(){

		var volume=0;
		var args = {
            sessid   : $.cookie("sessid"),
            Function : "APPS_GET_MONITOR_VOLUME",
		}

        _json_service( 0, args, callback=function(channel, args){
		
			var current_vol;

			current_vol = args["MultiviewVolume"];

			if(current_vol == 0){

				volume = 0;
			}
			else if(current_vol == 255){

				volume = 50;
			}
			else {

				volume = parseInt(current_vol) - 103;
			}


			//volume = args["MultiviewVolume"]*100/255;
			volume =  Math.round(volume);
			$("#multi_volume_range").val(volume);
			$("#multi_volume_value").html(volume);
			$("#pgm_volume_range").val(args["PgmVolume"]);
			$("#pgm_volume_value").html(args["PgmVolume"]);
		});
}

function get_monitor_default(){

		var args = {
			sessid	 : $.cookie("sessid"), 
			Function : "APPS_GET_MONITOR_DEFAULT",
		}  

		var volume=0;
		_json_service( 0, args, callback=function(channel, args){

			volume = args["MultiviewVolume"]*50/255;
			volume =  Math.round(volume);

			$("#set_multi_fps").val(args["MultiviewFps"]);
			$("#set_pgm_fps").val(args["PgmFps"]);
			$("#multi_volume_range").val(volume);
			$("#multi_volume_value").html(volume);
			$("#pgm_volume_range").val(args["PgmVolume"]);
			$("#pgm_volume_value").html(args["PgmVolume"]);
			$("#set_multi_type").val(args["MultiviewType"]);
			console.log("get_monitor_default Return = "+args["Return"]);
		});
}

