
$(function() {
        get_board_id1();
        get_videoSource1();
        get_audioSource1();
        get_input_format();
	
	for(var channels = 1; channels <= 9; channels++){
		if(	(channels>0 && channels<5)|| channels==9){
			for(var num = 1; num <= 2; num++){
				get_record_status(channels,num);
				get_stream_status(channels,num);
			}
		}
	}
});

function get_encoder_property(channel,encoderNum,RorS,MainSub){
    var dev;
	if(channel<5)
		dev = channel -1;
	else
		dev = 4;

    var args = {
            sessid       : $.cookie("sessid"),
            "Function"   : "APPS_GET_ENCODER_PROPERTY",
            "EncoderNum" : encoderNum,
        }

        console.log("EnconderNum: " + args["EncoderNum"]);
        _json_service( dev, args, callback=function( Channel, args){
			
			if(args["Width"] == 0)
				$("#output_resolution"+ RorS +MainSub+ channel).html(res);
			else
				$("#output_resolution"+ RorS +MainSub+ channel).html(args["Width"]+"x"+args["Height"]);

			if(args["Framerate"] == 0)
				$("#output_framerate" + RorS +MainSub+ channel).html(fps);
			else
				$("#output_framerate" + RorS +MainSub+ channel).html(args["Framerate"]);

			if(args["BitRate"] == 65536)
				$("#video_bitrate"	 + RorS +MainSub+ channel).html("64M");
			else if(args["BitRate"] == 32768)
				$("#video_bitrate"	 + RorS +MainSub+ channel).html("32M");
			else if(args["BitRate"] == 24576)
				$("#video_bitrate"	 + RorS +MainSub+ channel).html("24M");
			else if(args["BitRate"] == 16384)
				$("#video_bitrate"	 + RorS +MainSub+ channel).html("16M");
			else if(args["BitRate"] == 12288)
				$("#video_bitrate"	 + RorS +MainSub+ channel).html("12M");
			else if(args["BitRate"] == 8192)
				$("#video_bitrate"	 + RorS +MainSub+ channel).html("8M");
			else if(args["BitRate"] == 6144)
				$("#video_bitrate"	 + RorS +MainSub+ channel).html("6M");
			else if(args["BitRate"] == 4096)
				$("#video_bitrate"	 + RorS +MainSub+ channel).html("4M");
			else if(args["BitRate"] == 2048)
				$("#video_bitrate"	 + RorS +MainSub+ channel).html("2M");
			else if(args["BitRate"] == 1024)
				$("#video_bitrate"	 + RorS +MainSub+ channel).html("1M");
			else if(args["BitRate"] == 512)
				$("#video_bitrate"	 + RorS +MainSub+ channel).html("512K");
			else if(args["BitRate"] == 256)
				$("#video_bitrate"	 + RorS +MainSub+ channel).html("256K");
			
			$("#audio_bitrate"	 + RorS +MainSub+ channel).html(args["AudioBitRate"]+"K");

        });
}

function get_record_status(channel , RecordNum){

    var dev;
	if(channel<5)
		dev = channel -1;
	else
		dev = 4;

    var args = {
        sessid      :   $.cookie("sessid"),
        "Function"  :   "APPS_GET_RECORD_STATUS",
        "RecordNum" :   RecordNum,/////////////////////////new
    }
    _json_service( dev, args, callback=function( Channel, args){

   	var recordNum;
	if(RecordNum == 1)
		recordNum = "main";
	else if(RecordNum == 2)
		recordNum = "sub";

		if(args["Status"]==1){
			
			if(args["EncoderNum"] == 9){
				$("#encoder_source_r_"	 + recordNum + channel).html("Disable");
			}else{
				if(args["EncoderNum"] == 0)
					$("#encoder_source_r_"	 + recordNum + channel).html("Main");
				else if(args["EncoderNum"] == 1)
					$("#encoder_source_r_"	 + recordNum + channel).html("Sub");
				
				get_encoder_property(channel,args["EncoderNum"],"_r_",recordNum);

			}
		}else{
			$("#encoder_source_r_"   + recordNum + channel).html("NA");
			$("#output_resolution_r_"+ recordNum + channel).html("NA");
			$("#output_framerate_r_" + recordNum + channel).html("NA");
			$("#video_bitrate_r_"	 + recordNum + channel).html("NA");
			$("#audio_bitrate_r_"	 + recordNum + channel).html("NA");
		}
	
	});
}

function get_stream_status(channel , StreamNum){

    var dev;
	if(channel<5)
		dev = channel -1;
	else
		dev = 4;

    var args = {
        sessid      :   $.cookie("sessid"),
        "Function"  :   "APPS_GET_STREAMING_STATUS",
        "StreamNum" :   StreamNum,/////////////////////////new
    }
    _json_service( dev, args, callback=function( Channel, args){

console.log("channel "+channel+", StreamNum: "+StreamNum);
console.log("EncoderNum "+args["EncoderNum"]+", Status: "+args["Status"]);

   	var streamdNum;
	if(StreamNum == 1)
		streamNum = "main";
	else if(StreamNum == 2)
		streamNum = "sub";

		if(args["Status"]==1){
			
			if(args["EncoderNum"] == 9){
				$("#encoder_source_s_"	 + streamNum + channel).html("Disable");
			}else{
				if(args["EncoderNum"] == 0)
					$("#encoder_source_s_"	 + streamNum + channel).html("Main");
				else if(args["EncoderNum"] == 1)
					$("#encoder_source_s_"	 + streamNum + channel).html("Sub");
				
				get_encoder_property(channel,args["EncoderNum"],"_s_",streamNum);

			}
		}else{
			$("#encoder_source_s_"   + streamNum + channel).html("NA");
			$("#output_resolution_s_"+ streamNum + channel).html("NA");
			$("#output_framerate_s_" + streamNum + channel).html("NA");
			$("#video_bitrate_s_"	 + streamNum + channel).html("NA");
			$("#audio_bitrate_s_"	 + streamNum + channel).html("NA");
		}
	
	});
}

