LOG_FILE="/root/var/www/update.log"

# Check FPGA version
echo "----- Check FPGA version -----" >> $LOG_FILE
old_fw=`cat /root/mcu/fpga_ver_old`
new_fw=`cat /root/mcu/fpga_ver_new`
echo $old_fw >> $LOG_FILE
echo $new_fw >> $LOG_FILE

if [ $old_fw -eq $new_fw ]
then 
    echo "Version is same" >> $LOG_FILE
else 
    echo "Version is different, System will update FPGA" >> $LOG_FILE
    /root/bin/hictl --mcu_burn_fpga_image /root/tmp/NVS40_FW_0102.bin        
fi  

cp /root/mcu/fpga_ver_new /root/mcu/fpga_ver_old

