var streamStatus = new Array(totalEncoderNum);
var streamEncoderSetting = {};

function channel_check(){
            
        for(i=1;i<10;i++){
            if(document.getElementById("channel"+i).checked){
                channel= i-1;
				$.cookie("channel",channel);
                MM_swapImage('channel_img'+i,'','images/channel/Channel_button_'+i+'_Over.png',1);

				if( boardID =="N8"){
        	        	get_stream_information();
				}
				else{
					
					if(channel == 8){
						channel = 4;
        	        	get_stream_information();
					}
					else if(channel <= 3)
						get_stream_information();
				}
            }
            else    
                MM_swapImage('channel_img'+i,'','images/channel/Channel_button_'+i+'_Normal.png',1);        
        }
}

function get_stream_information(){

	get_fps_bitrate_usage();	
	for(var streamNum = 1; streamNum <= 2; streamNum++){
		get_srt_property(streamNum);
		get_ndi_property(streamNum);
		get_rtmp_property(streamNum);
		get_rtsp_property(streamNum);
		get_ts_property(streamNum);	
		get_hls_property(streamNum);
		get_advance_status(streamNum);//for Advance	
//		get_stream_status(streamNum);
	}
}

function get_srt_property(StreamNum){

	var args = {
		sessid    	: $.cookie("sessid"),
		"Function"  : "APPS_GET_SRT_PROPERTY",
		"StreamNum" : StreamNum,
	}

	_json_service( channel, args, callback=function( Channel, args){

		$("#set_srtmode"+ StreamNum).val( args["SrtMode"]);
		$("#caller_ip_address"+ StreamNum).val( args["SrtCallerIP"]);
		$("#srt_latency"+ StreamNum).val( args["SrtLatency"]);


		if(args["SrtMode"] == 0){

			$("#set_srtname" + StreamNum).val( args["SrtCallerPort"]);
		}
		else if(args["SrtMode"] == 1){

			$("#set_srtname" + StreamNum).val( args["SrtPort"]);

			$("#get_srtURL"+ StreamNum).val( args["SrtUrl"]);
		}

		
		console.log("2019.09.24 get_srt_property StreamNum is "+ StreamNum);
		console.log("2019.09.24 get_srt_property SrtMode is "+ args["SrtMode"]);
		console.log("2019.09.24 get_srt_property SrtCallerIP is "+ args["SrtCallerIP"]);
		console.log("2019.09.24 get_srt_property SrtLatency is "+ args["SrtLatency"]);
		console.log("2019.09.24 get_srt_property SrtPort is "+ args["SrtPort"]);
		console.log("2019.09.24 get_srt_property SrtCallerPort is "+ args["SrtCallerPort"]);

		srt_mode_display(StreamNum);
	});
}


function get_ndi_property(StreamNum){

	var args = {
		sessid    	: $.cookie("sessid"),
		"Function"  : "APPS_GET_NDI_PROPERTY",
		"StreamNum" : StreamNum,
	}

	_json_service( channel, args, callback=function( Channel, args){

		$("#set_ndiname" + StreamNum).val( args["name"]);


		//console.log("2019.09.24 get_ndi_property is "+ args["name"]);
	});
}


function get_rtmp_property(StreamNum){

	var RtmpUrl_hint;	
	var url_ch = channel+1;
	var split_rtmpUrl,eof_rtmpURL;

		RtmpUrl_hint = "ex: rtmp://192.168.1.88/live/"; 
/*
		if(StreamNum == 1)
		 	RtmpUrl_hint = "ex: rtmp://192.168.1.88/live/stream_main_0" + url_ch; 
		else if(StreamNum == 2)
		 	RtmpUrl_hint = "ex: rtmp://192.168.1.88/live/stream_sub_0" + url_ch; 
*/
		var args = {
			sessid    	: $.cookie("sessid"),
	        "Function"  : "APPS_GET_RTMP_PROPERTY",
			"StreamNum" : StreamNum,
		}

	 _json_service( channel, args, callback=function( Channel, args){
		if(args["RtmpUrl"]){
			split_rtmpUrl = args.RtmpUrl.split("/");
			eof_rtmpURL = args.RtmpUrl.lastIndexOf("/");

			$("#set_rtmpURL"+ StreamNum).val( args.RtmpUrl.slice(0,eof_rtmpURL));
			$("#set_rtmpStreamName"+ StreamNum).val( split_rtmpUrl[split_rtmpUrl.length-1]);
			$("#get_rtmpURL"+ StreamNum).val( args["RtmpUrl"]);
		}
		else{
			$("#set_rtmpURL"+ StreamNum).attr("placeholder",RtmpUrl_hint);
			$("#set_rtmpURL"+ StreamNum).val("");
		}

		if(args["RtmpAccount"])
			$("#set_rtmpAccount" + StreamNum).val(args["RtmpAccount"]);
		else
			$("#set_rtmpAccount" + StreamNum).val("");

		if(args["RtmpPassword"])
			$("#set_rtmpPassword"+ StreamNum).val(args["RtmpPassword"]);
		else
			$("#set_rtmpPassword"+ StreamNum).val("");
	});
}

function get_rtsp_property(StreamNum){

		var args = {
			sessid    	: $.cookie("sessid"),
        	"Function"  : "APPS_GET_RTSP_PROPERTY",
			"StreamNum" : StreamNum,
		}

		_json_service( channel, args, callback=function( Channel, args){
		
			$("#set_rtspPort"		+ StreamNum).val( args["RtspPort"]);
			$("#set_rtspPortHttp" 	+ StreamNum).val( args["RtspPortHttp"]);
			$("#set_rtspAccount" 	+ StreamNum).val( args["RtspAccount"]);
			$("#set_rtspPassword" 	+ StreamNum).val( args["RtspPassword"]);
			$("#set_rtspSession" 	+ StreamNum).val( args["RtspStreamName"]);
			$("#get_rtspURL" 		+ StreamNum).val( args["RtspUrl"]);
//			document.getElementById("get_rtspURL" 		+ StreamNum).innerHTML = args["RtspUrl"];

		});
}

function get_ts_property(StreamNum){
		
	var TsUrl_hint;
	var main = channel*2;
	var sub = channel*2+1;

		if(StreamNum == 1)
			TsUrl_hint = "udp://10.10.80.169:100"+main;
		else if(StreamNum == 2)		
			TsUrl_hint = "udp://10.10.80.169:100"+sub;	

		var args = {
			sessid    	: $.cookie("sessid"),
	        "Function"  : "APPS_GET_TS_PROPERTY",
			"StreamNum" : StreamNum,
		}

		_json_service( channel, args, callback=function( Channel, args){
			if(args["TsUrl"]){
				$("#set_tsURL"	+ StreamNum).val( args["TsUrl"]);
				$("#get_tsURL"	+ StreamNum).val( args["TsUrl"]);
//				document.getElementById("get_tsURL" + StreamNum).innerHTML = args["TsUrl"];
			}
			else{
    	        $("#set_tsURL" + StreamNum).attr("placeholder", TsUrl_hint);
	            $("#set_tsURL" + StreamNum).val("");
	        }

		});
}

function get_hls_property(StreamNum){
		
	var HLSUrl_hint;
	var main = channel*2;
	var sub = channel*2+1;

		if(StreamNum == 1)
			HLSUrl_hint = "http://10.10.80.169:100"+main;
		else if(StreamNum == 2)		
			HLSUrl_hint = "http://10.10.80.169:100"+sub;	

		var args = {
			sessid    	: $.cookie("sessid"),
	        "Function"  : "APPS_GET_HLS_PROPERTY",
			"StreamNum" : StreamNum,
		}

		_json_service( channel, args, callback=function( Channel, args){
			if(args["HlsUrl"]){
				$("#get_hlsURL" + StreamNum).val( args["HlsUrl"]);
//				document.getElementById("get_hlsURL" + StreamNum).innerHTML = args["HlsUrl"];
			}
		});
}

function get_stream_status(StreamNum,advance_status){
		streamStatus[StreamNum-1]=0;
        var args = {
            sessid    	: $.cookie("sessid"),
            "Function"  : "APPS_GET_STREAMING_STATUS",
			"StreamNum" : StreamNum,
           
        }

//		console.log("channel is "+ channel);
        _json_service( channel, args, callback=function( Channel, args){

			$("#stream_encoderSource" + StreamNum).val( args["EncoderNum"]);
			if( (StreamNum-1) == 0)//紀錄目前Main Stream 使用的 Encoder
				streamEncoderSetting['mainStream']=args["EncoderNum"];
			else if( (StreamNum-1) == 1)//紀錄目前Sub Stream 使用的 Encoder
				streamEncoderSetting['subStream']=args["EncoderNum"];

			$("#set_StreamType" + StreamNum).val( args["StreamType"]);

			if(args["Status"]==1){
				streamStatus[StreamNum-1]=1;		

				if(args["StreamType"] == 0)
					$("#play_rtspURL" + StreamNum).show();
				else
					$("#play_rtspURL" + StreamNum).hide();

				if(args["StreamType"] == 1)
					$("#play_rtmpURL" + StreamNum).show();
				else
					$("#play_rtmpURL" + StreamNum).hide();

				if(args["StreamType"] == 2)
					$("#play_tsURL" + StreamNum).show();
				else
					$("#play_tsURL" + StreamNum).hide();
				
				if(args["StreamType"] == 3)
                    $("#play_hlsURL" + StreamNum).show();
                else
					$("#play_hlsURL" + StreamNum).hide();
									
				if(args["StreamType"] == 6){

					if($("#set_srtmode" + StreamNum).val() == 1 ){

						$("#play_srtURL" + StreamNum).show();
					}
				}					
				else{

					if($("#set_srtmode" + StreamNum).val() == 1 ){

						$("#play_srtURL" + StreamNum).hide();
					}
				}
					
				if(args["EncoderNum"] == 9){
					$("#play_rtspURL" + StreamNum).hide();
        	        $("#play_rtmpURL" + StreamNum).hide();
    	            $("#play_tsURL" + StreamNum).hide();
					$("#play_hlsURL" + StreamNum).hide();
					$("#play_srtURL" + StreamNum).hide();
				}
			}
	        else{
				streamStatus[StreamNum-1]=0;

				$("#play_rtspURL" + StreamNum).hide();
				$("#play_rtmpURL" + StreamNum).hide();
				$("#play_tsURL"  + StreamNum).hide();
				$("#play_hlsURL" + StreamNum).hide();
				$("#play_srtURL" + StreamNum).hide();
			}

				//stream_disabled();
				property_display(StreamNum);
				srt_mode_display(StreamNum);

			if(advance_status != 1){
				if(StreamNum == 2){
					if(streamStatus[0]==0 && streamStatus[1]==0){

						for(var Num = 1; Num <= 2; Num++){

							//let val = $("#stream_encoderSource" + Num).val();
							//		if(val!=9) {
										//$("#stream_encoderSource"+ Num).prop("disabled", false);
										//$("#set_StreamType"+ Num).prop("disabled", false);

										$(".stream_disabled"+Num).attr("disabled",false);
										$(".stream_encoderSource_disabled"+Num).attr("disabled",false);
							//		}
						}		
							
						$("#set_streaming_property").attr("disabled", false);
						$("#streaming_property_default").attr("disabled", false);
						$("#start_streaming").attr("disabled", false);
						$("#stop_streaming").attr("disabled", true);

						stream_source_status_check();
						console.log("tim 1111");

						for(var Num = 1; Num <= 2; Num++){

							let val = $("#stream_encoderSource" + Num).val();
									if(val==9) 
										$(".stream_disabled"+Num).attr("disabled",true);																		
									else
										$(".stream_disabled"+Num).attr("disabled",false);																	
						}						
					}else{

						for(var Num = 1; Num <= 2; Num++){

							//let val = $("#stream_encoderSource" + Num).val();
							//		if(val!=9) {
										//$("#stream_encoderSource"+ Num).prop("disabled", true);
										//$("#set_StreamType"+ Num).prop("disabled", true);

										$(".stream_disabled"+Num).attr("disabled",true);
										$(".stream_encoderSource_disabled"+Num).attr("disabled",true);
							//		}
						}

						$("#set_streaming_property").attr("disabled", true);
						$("#streaming_property_default").attr("disabled", true);
						$("#start_streaming").attr("disabled", true);
						$("#stop_streaming").attr("disabled", false);

						console.log("2019 0717 tim 2222");					
					}
				}
				else{

					console.log("---->3333");	

					for(var Num = 1; Num <= 2; Num++){

							let val = $("#stream_encoderSource" + Num).val();
									if(val==9) 
										$(".stream_disabled"+Num).attr("disabled",true);
									else			
										$(".stream_disabled"+Num).attr("disabled",false);
					}
				}
			}
			else{
				//處理錄影時start 不會變灰
				stream_source_status_check();
				console.log("4444");	
			}
/*
			console.log("StreamNum = " + StreamNum);
            console.log("streamStatus["+(StreamNum-1)+"] = "+streamStatus[StreamNum-1]);
            console.log("StreamType" + (StreamNum-1) + ":" + args["StreamType"]);
			console.log("Status" + (StreamNum-1) + ":" + args["Status"]);
*/
        });

}


function set_srt_property(StreamNum){

	var data={};
	var srt_name, srt_ip_address, srt_latency, srt_mode;

	if($("#stream_encoderSource" + StreamNum).val()) {data["EncoderNum"] = $("#stream_encoderSource" + StreamNum).val();}


	if($("#set_srtmode" + StreamNum).val() ){

		srt_mode = $("#set_srtmode" + StreamNum).val();

		console.log("2020.04.23 set srt srtmode:",srt_mode);
	}

	if($("#set_srtname" + StreamNum).val() ){

		srt_name = $("#set_srtname" + StreamNum).val();

		console.log("2020.04.23 set srt name:",srt_name);
	}


	if($("#set_srtmode" + StreamNum).val() == 0 ){

		if($("#caller_ip_address" + StreamNum).val() ){

			srt_ip_address = $("#caller_ip_address" + StreamNum).val();
	
			console.log("2020.04.23 set srt ip address:",srt_ip_address);
		}
	
		if($("#srt_latency" + StreamNum).val() ){
	
			srt_latency = $("#srt_latency" + StreamNum).val();
	
			if(srt_latency > 8000 ){
	
				$("#srt_latency" + StreamNum).val(8000);
	
					srt_latency = 8000;
	
				if(localStorage.language_type=="zh"){
					alert("最大值为 8000！");
				}															
				else if(localStorage.language_type=="tw"){
					alert("最大值為 8000！");
				}						
				else if(localStorage.language_type=="jp"){
					alert("最大値は 8000 です。");
				}							
				else{
					alert("The max value is 8000!");
				}	
			}
			else if(srt_latency < 20){
	
				$("#srt_latency" + StreamNum).val(20);
	
				srt_latency = 20;
	
				if(localStorage.language_type=="zh"){
					alert("最小值是 8000！");
				}															
				else if(localStorage.language_type=="tw"){
					alert("最小值是 8000！");
				}						
				else if(localStorage.language_type=="jp"){
					alert("最小値は 8000 です。");
				}							
				else{
					alert("The min value is 8000!");
				}	
			}
			console.log("2019.11.19 get srt ip latency:",srt_latency);
		}
	}


	var args = {
		sessid    	: $.cookie("sessid"),
        "Function"  : "APPS_SET_SRT_PROPERTY",
		"EncoderNum": data["EncoderNum"],
		"StreamNum" : StreamNum,
		"SrtMode"		: srt_mode,	
		"SrtPort"		: srt_name,	
		"SrtCallerPort"		: srt_name,
		"SrtCallerIP"		: srt_ip_address,	
		"SrtLatency"		: srt_latency,
	}
	_json_service( channel, args, callback=function( Channel, args){


		console.log("set_srt_property name:",srt_name);

		console.log("APPS_SET_SRT_PROPERTY return value is :",args["Return"]);
	});
}


function set_ndi_property(StreamNum){

	var data={};
	var ndi_name;

	if($("#stream_encoderSource" + StreamNum).val()) {data["EncoderNum"] = $("#stream_encoderSource" + StreamNum).val();}

	if($("#set_ndiname" + StreamNum).val() ){

		ndi_name = $("#set_ndiname" + StreamNum).val();
	}

	var args = {
		sessid    	: $.cookie("sessid"),
        "Function"  : "APPS_SET_NDI_PROPERTY",
		"EncoderNum": data["EncoderNum"],
		"StreamNum" : StreamNum,
		"name"		: ndi_name,	

	}
	_json_service( channel, args, callback=function( Channel, args){


		console.log("set_ndi_property name:",ndi_name);

		console.log("APPS_SET_NDI_PROPERTY return value is :",args["Return"]);
	});
}


function set_rtmp_property(StreamNum){
		
	var data={};
	var rtmp_url,rtmp_strName;
	data["StreamType"] = $("#set_StreamType" + StreamNum).val();
	
	if($("#stream_encoderSource" + StreamNum).val()) {data["EncoderNum"] = $("#stream_encoderSource" + StreamNum).val();}

	if($("#set_rtmpURL" + StreamNum).val() && $("#set_rtmpStreamName" + StreamNum).val() ){
		rtmp_url = $("#set_rtmpURL" + StreamNum).val();
		rtmp_strName = $("#set_rtmpStreamName" + StreamNum).val();

		if(rtmp_url[rtmp_url.length-1] == '/'){
			data["RtmpUrl"] = rtmp_url + rtmp_strName;
		}
		else{
			data["RtmpUrl"] = rtmp_url +'/'+ rtmp_strName;
		}
		console.log("RtmpUrl:",data.RtmpUrl);
	}
	else{
		if(data["StreamType"] == 1)
			return -1;
		else
			data["RtmpUrl"] ="";
	}

	if($("#set_rtmpAccount" + StreamNum).val()) {data["RtmpAccount"] = $("#set_rtmpAccount" + StreamNum).val()}
	else{	data["RtmpAccount"]=""; }

	if($("#set_rtmpPassword" + StreamNum).val()) {data["RtmpPassword"] = $("#set_rtmpPassword" + StreamNum).val()}
	else{	data["RtmpPassword"]=""; }
	
	var args = {
		sessid    	: $.cookie("sessid"),
        "Function"  : "APPS_SET_RTMP_PROPERTY",
		"EncoderNum": data["EncoderNum"],
		"StreamNum" : StreamNum,
		"RtmpUrl"		:data["RtmpUrl"],	
		"RtmpAccount"	:data["RtmpAccount"],
		"RtmpPassword"	:data["RtmpPassword"],
	}
	 _json_service( channel, args, callback=function( Channel, args){
	});

}

function set_rtsp_property(StreamNum){
	
	var data={};
	
	if($("#stream_encoderSource" + StreamNum).val()) {data["EncoderNum"] = $("#stream_encoderSource" + StreamNum).val();}
	if($("#set_rtspPort" + StreamNum).val())	 {data["RtspPort"] = $("#set_rtspPort" + StreamNum).val()}
	if($("#set_rtspPortHttp" + StreamNum).val()) {data["RtspPortHttp"] = $("#set_rtspPortHttp" + StreamNum).val()}
		
	if($("#set_rtspAccount" + StreamNum).val())	 {data["RtspAccount"] = $("#set_rtspAccount" + StreamNum).val()}
	else{data["RtspAccount"] = "";}

	if($("#set_rtspPassword" + StreamNum).val()) {data["RtspPassword"] = $("#set_rtspPassword" + StreamNum).val()}
	else{data["RtspPassword"] = "";}

	if($("#set_rtspSession" + StreamNum).val())  {data["RtspStreamName"] = $("#set_rtspSession" + StreamNum).val()}
	else{data["RtspStreamName"] = "";}
	
	console.log("set_rtsp_property StreamNum is: ", StreamNum);

	console.log("set_rtsp_property EncoderNum is: ", data["EncoderNum"]);

	console.log("set_rtsp_property RtspStreamName is: ", $("#set_rtspSession" + StreamNum).val());


	var args = {
		sessid    	: $.cookie("sessid"),
        "Function"  : "APPS_SET_RTSP_PROPERTY",
		"EncoderNum": data["EncoderNum"],
		"StreamNum" : StreamNum,
		"RtspPort"	:	data["RtspPort"],
		"RtspPortHttp"	: data["RtspPortHttp"],
		"RtspAccount"	: data["RtspAccount"],
		"RtspPassword"	: data["RtspPassword"],
		"RtspStreamName": data["RtspStreamName"],
	}

	_json_service( channel, args, callback=function( Channel, args){
	});
/*
	console.log("set data[EncoderNum] = "+data["EncoderNum"]);
	console.log("data[RtspPort] : "+data["RtspPort"]);
	console.log("data[RtspPortHttp] : "+data["RtspPortHttp"]);
    console.log("data[RtspAccount]  : "+data["RtspAccount"]);
    console.log("data[RtspPassword] : "+data["RtspPassword"]);
    console.log("data[RtspStreamName] : "+data["RtspStreamName"]);
*/
}

function set_ts_property(StreamNum){
	
	var data={};
			
	if($("#stream_encoderSource" + StreamNum).val()) {data["EncoderNum"] = $("#stream_encoderSource" + StreamNum).val();}
	if($("#set_tsURL" + StreamNum).val()){	data["TsUrl"] = $("#set_tsURL" + StreamNum).val()}
	else{	return -1;}
		
	var args = {
		sessid    	: $.cookie("sessid"),
        "Function"  : "APPS_SET_TS_PROPERTY",
		"EncoderNum": data["EncoderNum"],
		"StreamNum" : StreamNum,
		"TsUrl"		: data["TsUrl"],
	}

	_json_service( channel, args, callback=function( Channel, args){
	});	
/*
		console.log("set data[EncoderNum] "+ data["EncoderNum"]);	
		console.log("set data[TsUrl]"+ data["TsUrl"]);
*/
}

function set_hls_property(StreamNum){
	
	var data={};
			
	if($("#stream_encoderSource" + StreamNum).val()) {data["EncoderNum"] = $("#stream_encoderSource" + StreamNum).val();}
		
	var args = {
		sessid    	: $.cookie("sessid"),
        "Function"  : "APPS_SET_HLS_PROPERTY",
		"EncoderNum": data["EncoderNum"],
		"StreamNum" : StreamNum,
	}

	_json_service( channel, args, callback=function( Channel, args){
	});
}

function start_stream(){
	var set_totalBitrate=0, set_totalFramerate=0, ori_totalBitrate=0, ori_totalFramerate=0;
	var mainStreamEncoder = Number($("#stream_encoderSource1").val());
	var subStreamEncoder  = Number($("#stream_encoderSource2").val());

	//計算原本使用的Main Stream FPS,Bitrate用量
	if( streamEncoderSetting.mainStream == 0 || streamEncoderSetting.mainStream == 1){
		ori_totalBitrate = current_totalBitrate[channel][streamEncoderSetting.mainStream];
		ori_totalFramerate = current_totalFPS[channel][streamEncoderSetting.mainStream];
	}
	//計算原本使用的Sub Stream FPS,Bitrate用量
	if( streamEncoderSetting.subStream == 0 || streamEncoderSetting.subStream == 1){
		ori_totalBitrate += current_totalBitrate[channel][streamEncoderSetting.subStream];
		ori_totalFramerate += current_totalFPS[channel][streamEncoderSetting.subStream];
	}
	//計算即將設定的Main Stream FPS,Bitrate用量
	if( mainStreamEncoder <= 1){
		set_totalBitrate = current_totalBitrate[channel][mainStreamEncoder];
		set_totalFramerate = current_totalFPS[channel][mainStreamEncoder];
	}
	//計算即將設定的Sub Stream FPS,Bitrate用量
	if( subStreamEncoder <= 1){
		set_totalBitrate += current_totalBitrate[channel][subStreamEncoder];
		set_totalFramerate += current_totalFPS[channel][subStreamEncoder];
	}

	//2020.04.23
	//get_encoder_status('start_stream', set_totalBitrate, set_totalFramerate, ori_totalBitrate, ori_totalFramerate, function(){set_stream(1)});
	get_encoder_status('start_stream', set_totalBitrate, set_totalFramerate, ori_totalBitrate, ori_totalFramerate, function(){check_rs_encoder_property(channel, 2)});

}


function set_stream(stream_status){
	let check;

	if(stream_status == 1){	//start stream
		if(
			( $("#set_StreamType1").val()==1 && (!$("#set_rtmpURL1").val()) && (!$("#set_rtmpStreamName1").val()) ) ||
			( $("#set_StreamType1").val()==2 && (!$("#set_tsURL1").val()) ) ||
			( $("#set_StreamType2").val()==1 && (!$("#set_rtmpURL2").val()) && (!$("#set_rtmpStreamName2").val()) ) ||
			( $("#set_StreamType2").val()==2 && (!$("#set_tsURL2").val()) )
		){ return;}
		else{
//			console.log( Number($("#cpu_usage").val()) );
			if(	Number($("#cpu_usage").val()) > 85){
				if(localStorage.language_type=="zh")
					check = confirm("[警告] 當前CPU使用率较高，可能会掉帧!");
				else if(localStorage.language_type=="jp")
					check = confirm("[警告]現在のCPU使用率が高，失う可能性あるフレーム!");
				else
					check = confirm("[Warning] high CPU usage might indicate frame drop!");
			
				if(check === false )
					return;
			}

			
			for(var streamNum = 1; streamNum < 2; streamNum++){
					set_stream_status(stream_status,streamNum);
			}
			
			//stream_input_info_check(stream_status);
			
		}
	}
	else{                 //stop stream
		for(var streamNum = 1; streamNum <= 2; streamNum++){
			if(streamStatus[streamNum-1]==1)// check which encoder is streaming
				set_stream_status(stream_status,streamNum);	
		}
		document.getElementById("play_rtspURL1").style.display = "none";
		document.getElementById("play_rtspURL2").style.display = "none";
		$("#play_rtmpURL1").hide();
		$("#play_rtmpURL2").hide();
		$("#play_tsURL1").hide();
		$("#play_tsURL2").hide();
		$("#play_hlsURL1").hide();
		$("#play_hlsURL2").hide();
		$("#play_srtURL1").hide();
		$("#play_srtURL2").hide();

	 	setTimeout(get_stream_information,500);
	}
	
//	 setTimeout(get_stream_information,500);
	
}



function stream_input_info_check(record_status){

	console.log("stream_input_info_check in" );

	var input_framerate, input_interleaved, input_width, input_height;

	var args = {
		sessid 		: $.cookie("sessid"),
		Function   : "APPS_GET_INPUT_FORMAT",
	}

	_json_service( channel, args, callback=function( channel, args){

		if(args["Return"] == 0){

			input_width = args["Width"];
			input_height = args["Height"];	
			input_interleaved = args["Interleaved"];
			input_framerate = args["Framerate"];
			
			for(var encpderNum = 0; encpderNum < 2; encpderNum++){

				stream_info_check( encpderNum, record_status, input_width, input_height, input_interleaved, input_framerate);
			}
		}
	});
}


function stream_info_check( encoderNum, stream_status, width, height, interleaved, framerate){

	myselect = document.getElementById("stream_encoderSource1");
	
		var args = { 
			sessid		 : $.cookie("sessid"),
			"Function"   : "APPS_GET_ENCODER_PROPERTY",
			"EncoderNum" : encoderNum,
		}
	
		_json_service( channel, args, callback=function( channel, args){
	
			if(args["Return"] == 0){
	
				console.log("stream_info_check  CH ", channel );
				console.log("stream_info_check  encoderNum ", encoderNum );
				
				console.log("input_info_check  width ", width );
				console.log("input_info_check  height ", height );
				console.log("input_info_check  interleaved ", interleaved );
				console.log("input_info_check  framerate ", framerate );
	
				console.log("stream_info_check  Framerate ", args["Framerate"] );
				console.log("stream_info_check  Width ", args["Width"] );
				console.log("stream_info_check  Height ", args["Height"] );
				console.log("stream_info_check  Interleaved ", args["Interleaved"] );
	
				if(channel == 4 /* PGM時不限制編碼設定*/){
	
					var streamNum = encoderNum+1;
						
					set_stream_status(stream_status,streamNum);
				}
				else{
	
						var input_resolution_status = 0, input_framerate_status = 0;
	
						if( width == 1920 && height == 1080 ){
	
							input_resolution_status  = 0;
	
						}
						else if( width == 1280 && height == 720 ){
	
							if( args["Width"] == 1920 && args["Height"] == 1080 ){
								input_resolution_status  = 1;
							}
							else{
								input_resolution_status  = 0;
							}
						}
						else if( width == 720 && height == 576 ){
	
							if( args["Width"] == 1920 && args["Height"] == 1080 ){
								input_resolution_status  = 1;
							}
							else if( args["Width"] == 1280 && args["Height"] == 720 ){
								input_resolution_status  = 1;
							}
							else{
								input_resolution_status  = 0;
							}
						}
						else if( width == 720 && height == 480 ){
	
							if( args["Width"] == 1920 && args["Height"] == 1080 ){
								input_resolution_status  = 1;
							}
							else if( args["Width"] == 1280 && args["Height"] == 720 ){
								input_resolution_status  = 1;
							}
							else if( args["Width"] == 720 && args["Height"] == 576 ){
								input_resolution_status  = 1;
							}
							else{
								input_resolution_status  = 0;
							}
						}
						else if( width == 640 && height == 480 ){
	
							if( args["Width"] == 1920 && args["Height"] == 1080 ){
								input_resolution_status  = 1;
							}
							else if( args["Width"] == 1280 && args["Height"] == 720 ){
								input_resolution_status  = 1;
							}
							else if( args["Width"] == 720 && args["Height"] == 576 ){
								input_resolution_status  = 1;
							}
							else if( args["Width"] == 720 && args["Height"] == 480 ){
								input_resolution_status  = 1;
							}
							else{
								input_resolution_status  = 0;
							}				
						}
						else if( width == 320 && height == 240 ){
	
							if( args["Width"] == 1920 && args["Height"] == 1080 ){
								input_resolution_status  = 1;
							}
							else if( args["Width"] == 1280 && args["Height"] == 720 ){
								input_resolution_status  = 1;
							}
							else if( args["Width"] == 720 && args["Height"] == 576 ){
								input_resolution_status  = 1;
							}
							else if( args["Width"] == 720 && args["Height"] == 480 ){
								input_resolution_status  = 1;
							}
							else if( args["Width"] == 640 && height == 480 ){
								input_resolution_status  = 1;
							}
							else{
								input_resolution_status  = 0;
							}
						}				
						else if( width == 160 && height == 120 ){
	
							if( args["Width"] == 160 && args["Height"] == 120 ){
	
								input_resolution_status  = 0;
							}
							else{
								input_resolution_status  = 1;
							}				
						}
	
	
						if( interleaved == 0 ) {
	
							if( framerate == 60 ){
	
								if( args["Framerate"] == 60 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 30 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 24 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 20 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 15 ){
									input_framerate_status  = 0;
								}
								else{
									input_framerate_status  = 1;
								}
							}
							else if( framerate.toFixed(2) == 59.94 ){
	
								if( args["Framerate"] == 59.94 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 29.97 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 24 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 20 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 15 ){
									input_framerate_status  = 0;
								}
								else{
									input_framerate_status  = 1;
								}
							}
							else if( framerate == 50 ){
	
								if( args["Framerate"] == 50 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 25 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 24 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 20 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 15 ){
									input_framerate_status  = 0;
								}
								else{
									input_framerate_status  = 1;
								}
							}
							else if( framerate == 30 ){
	
								if( args["Framerate"] == 30 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 24 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 20 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 15 ){
									input_framerate_status  = 0;
								}
								else{
									input_framerate_status  = 1;
								}
							}
							else if( framerate.toFixed(2) == 29.97 ){
	
								if( args["Framerate"] == 29.97 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 24 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 20 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 15 ){
									input_framerate_status  = 0;
								}
								else{
									input_framerate_status  = 1;
								}
							}
							else if( framerate == 25 ){
	
								if( args["Framerate"] == 25 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 24 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 20 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 15 ){
									input_framerate_status  = 0;
								}
								else{
									input_framerate_status  = 1;
								}
							}
							else if( framerate == 24 ){
	
								if( args["Framerate"] == 24 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 20 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 15 ){
									input_framerate_status  = 0;
								}
								else{
									input_framerate_status  = 1;
								}
							}
							else{
	
								input_framerate_status  = 1;
							}
						}
						else{
	
							if( framerate == 60 ){
	
								if( args["Framerate"] == 30 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 24 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 20 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 15 ){
									input_framerate_status  = 0;
								}
								else{
									input_framerate_status  = 1;
								}
							}
							else if( framerate.toFixed(2) == 59.94 ){
	
								if( args["Framerate"] == 29.97 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 24 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 20 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 15 ){
									input_framerate_status  = 0;
								}
								else{
									input_framerate_status  = 1;
								}
							}
							else if( framerate == 50 ){
	
								if( args["Framerate"] == 25 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 24 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 20 ){
									input_framerate_status  = 0;
								}
								else if( args["Framerate"] == 15 ){
									input_framerate_status  = 0;
								}
								else{
									input_framerate_status  = 1;
								}
							}
						}
						
	
						if( input_resolution_status == 1 ){
	
							streaming_alert_event( encoderNum,"error_resolution");						
						}
						else if( input_framerate_status == 1 ){
	
							streaming_alert_event( encoderNum, "error_framerate");
						}
						else if( input_framerate_status != 1 && input_resolution_status != 1 ){
	
							var streamNum = encoderNum+1;
								
							set_stream_status(stream_status,streamNum);	
									
						}			
				}
			}
		});
}


function streaming_alert_event(encoderNum,status){

	if( status == "error_framerate" ){

		if( encoderNum == 0 ){

			if(localStorage.language_type=="zh")								
				alert("(主串流)目前设置的帧率不正确，编码帧率无法超出输入帧率，请重新设置。");
			else if(localStorage.language_type=="tw")	
				alert("(主推流)目前設定的幀率不正確，編碼幀率無法超出輸入幀率，請重新設定。");
			else if(localStorage.language_type=="jp")
				alert("(メインストリーミング)FPS 値が正しくありません。エンコーダのフレームレートがインプットのフレームレートを超えないように設定してください。");
			else			
				alert("(Main Streaming)The input framerate setting exceeds the maximum encoder setting.");
		}
		else{

			if(localStorage.language_type=="zh")								
				alert("(子推流)目前设置的帧率不正确，编码帧率无法超出输入帧率，请重新设置。");
			else if(localStorage.language_type=="tw")	
				alert("(副串流)目前設定的幀率不正確，編碼幀率無法超出輸入幀率，請重新設定。");
			else if(localStorage.language_type=="jp")
				alert("(サブストリーミング)FPS 値が正しくありません。エンコーダのフレームレートがインプットのフレームレートを超えないように設定してください。");
			else			
				alert("(Sub Streaming)The input framerate setting exceeds the maximum encoder setting.");
		}	
	}
	else if( status == "error_resolution" ){

		if( encoderNum == 0 ){
			if(localStorage.language_type=="zh")		
				alert("(主串流)目前设定的分辨率超过输入分辨率，请重新设置。");																
			else if(localStorage.language_type=="tw")
				alert("(主推流)目前設定的分辨率超過輸入分辨率，請重新設定。");								
			else if(localStorage.language_type=="jp")
				alert("(メインストリーミング)設定される解像度がインプットの解像度を超えないように設定してください。");								
			else
				alert("(Main Streaming)The resolution for request exceeds current input resolution.");
		}
		else{

			if(localStorage.language_type=="zh")		
				alert("(子推流)目前设定的分辨率超过输入分辨率，请重新设置。");																
			else if(localStorage.language_type=="tw")
				alert("(副串流)目前設定的分辨率超過輸入分辨率，請重新設定。");								
			else if(localStorage.language_type=="jp")
				alert("(サブストリーミング)設定される解像度がインプットの解像度を超えないように設定してください。");								
			else
				alert("(Sub Streaming)The resolution for request exceeds current input resolution.");

		}
	}
}





function set_stream_status(stream_status,StreamNum){

		console.log("------------->set_stream_status in stream_status is", stream_status) ;

		var data={};
				
		data["EncoderNum"] = $("#stream_encoderSource" + StreamNum).val(); 
		data["StreamNum"] = StreamNum;

		if(stream_status == 0){  //stop stream
			data["StreamType"] = null;
			data["StreamStatus"] = 0;
		}
		else if(stream_status == 1){
				data["StreamType"] = $("#set_StreamType" + StreamNum).val();
				data["StreamStatus"] = 1;

			if($("#stream_encoderSource" + StreamNum).val() != 9)
			{

				if(data["StreamType"] == 0){
					
					set_rtsp_property(StreamNum);
				}
				else if(data["StreamType"] == 1){
					if(set_rtmp_property(StreamNum)==-1)
						return;
				}
				else if(data["StreamType"] == 2){
					if(set_ts_property(StreamNum)==-1)
						return;
				}else if(data["StreamType"] == 3){
					
					set_hls_property(StreamNum);

				}else if(data["StreamType"] == 5){
					
					set_ndi_property(StreamNum);

				}else if(data["StreamType"] == 6){
					
					set_srt_property(StreamNum);

				}
			}
		}
		else if(stream_status == 2){
				
			data["StreamType"] = $("#set_StreamType" + StreamNum).val();
			data["StreamStatus"] = 2;

				if(data["StreamType"] == 0){
					
					set_rtsp_property(StreamNum);
				}
				else if(data["StreamType"] == 1){
					if(set_rtmp_property(StreamNum)==-1)
						return;
				}
				else if(data["StreamType"] == 2){
					if(set_ts_property(StreamNum)==-1)
						return;
				}
				else if(data["StreamType"] == 3){
					
					set_hls_property(StreamNum);
				}
				else if(data["StreamType"] == 5){
					
					set_ndi_property(StreamNum);

				}else if(data["StreamType"] == 6){
					
					set_srt_property(StreamNum);

				}
		}
        var args = {
            sessid    	: $.cookie("sessid"),
            "Function"  : "APPS_SET_STREAMING_STATUS",
			"EncoderNum": data["EncoderNum"],
			"StreamNum" : data["StreamNum"],
        	"StreamType": data["StreamType"],
			"Status"	: data["StreamStatus"],
        }
//		console.log("Status "+  data["StreamStatus"]);
        _json_service( channel, args, callback=function( Channel, args){
		
			if((stream_status > 0) && (StreamNum == 1))
				set_stream_status(stream_status,2);
			if((stream_status > 0) && (StreamNum == 2))
				setTimeout(get_stream_information,500);
						
		});
		
		console.log("2019.09.25 APPS_SET_STREAMING_STATUS StreamType "+  data["StreamType"]);

}

function stream_disabled(){
	
	
	var val;
	for(var streamNum = 1; streamNum <= 2; streamNum++){

		myselect = document.getElementById("stream_encoderSource"+streamNum);
		
		val = myselect.options[myselect.selectedIndex].value;
			if(val==9)
				$(".stream_disabled"+streamNum).attr("disabled",true);
			else
				$(".stream_disabled"+streamNum).attr("disabled",false);
	}

	stream_source_status_check();

}

function property_display(MainorSub){

    var show_hide_value=$("#set_StreamType"+MainorSub).val();
    var rtmp = document.getElementById("rtmp_showhide"+MainorSub);
    var rtsp = document.getElementById("rtsp_showhide"+MainorSub);
    var ts= document.getElementById("ts_showhide"+MainorSub);
	var hls= document.getElementById("hls_showhide"+MainorSub);
	var ndi= document.getElementById("ndi_showhide"+MainorSub);
	var srt= document.getElementById("srt_showhide"+MainorSub);
    if(show_hide_value=="0")
    {
        rtmp.style.display = "none";
        rtsp.style.display = "";
        ts.style.display = "none";
		hls.style.display = "none";
		ndi.style.display = "none";
		srt.style.display = "none";
    }
    else if(show_hide_value=="1")
    {
        rtmp.style.display = "";
        rtsp.style.display = "none";
        ts.style.display = "none";
		hls.style.display = "none";
		ndi.style.display = "none";
		srt.style.display = "none";
    }
    else if(show_hide_value=="2")
    {
        rtmp.style.display = "none";
        rtsp.style.display = "none";
        ts.style.display = "";
		hls.style.display = "none";
		ndi.style.display = "none";
		srt.style.display = "none";
    }
	else if(show_hide_value=="3")
	{
		rtmp.style.display = "none";
        rtsp.style.display = "none";
        ts.style.display = "none";
		hls.style.display = "";
		ndi.style.display = "none";
		srt.style.display = "none";
	}
	else if(show_hide_value=="5")
	{
		rtmp.style.display = "none";
        rtsp.style.display = "none";
        ts.style.display = "none";
		hls.style.display = "none";
		ndi.style.display = "";
		srt.style.display = "none";
	}
	else if(show_hide_value=="6")
	{
		rtmp.style.display = "none";
        rtsp.style.display = "none";
        ts.style.display = "none";
		hls.style.display = "none";
		ndi.style.display = "none";
		srt.style.display = "";
	}
}

function set_property(){

	var set_totalBitrate=0, set_totalFramerate=0, ori_totalBitrate=0, ori_totalFramerate=0;
	var mainStreamEncoder = Number($("#stream_encoderSource1").val());
	var subStreamEncoder  = Number($("#stream_encoderSource2").val());

	//計算原本使用的Main Stream FPS,Bitrate用量
	if( streamEncoderSetting.mainStream == 0 || streamEncoderSetting.mainStream == 1){
		ori_totalBitrate = current_totalBitrate[channel][streamEncoderSetting.mainStream];
		ori_totalFramerate = current_totalFPS[channel][streamEncoderSetting.mainStream];
/*
		console.log("原本Main Stream Enocder:"+streamEncoderSetting.mainStream);
		console.log("ori_totalBitrate="+  current_totalBitrate[channel][streamEncoderSetting.mainStream]);
		console.log("ori_totalFramerate="+  current_totalFPS[channel][streamEncoderSetting.mainStream]);
*/
	}
	//計算原本使用的Sub Stream FPS,Bitrate用量
	if( streamEncoderSetting.subStream == 0 || streamEncoderSetting.subStream == 1){
		ori_totalBitrate += current_totalBitrate[channel][streamEncoderSetting.subStream];
		ori_totalFramerate += current_totalFPS[channel][streamEncoderSetting.subStream];
/*
		console.log("原本Sub Stream Enocder:"+streamEncoderSetting.subStream);
		console.log("ori_totalBitrate="+  current_totalBitrate[channel][streamEncoderSetting.subStream]);
		console.log("ori_totalFramerate="+  current_totalFPS[channel][streamEncoderSetting.subStream]);
*/
	}
	//計算即將設定的Main Stream FPS,Bitrate用量
	if( mainStreamEncoder <= 1){
		set_totalBitrate = current_totalBitrate[channel][mainStreamEncoder];
		set_totalFramerate = current_totalFPS[channel][mainStreamEncoder];
/*
		console.log("Main Stream Enocder:"+mainStreamEncoder);
		console.log("set_totalBitrate="+  current_totalBitrate[channel][mainStreamEncoder]);
		console.log("set_totalFramerate="+  current_totalFPS[channel][mainStreamEncoder]);
*/
	}
	//計算即將設定的Sub Stream FPS,Bitrate用量
	if( subStreamEncoder <= 1){
		set_totalBitrate += current_totalBitrate[channel][subStreamEncoder];
		set_totalFramerate += current_totalFPS[channel][subStreamEncoder];
/*
		console.log("Sub Stream Enocder:"+subStreamEncoder);
		console.log("set_totalBitrate="+  current_totalBitrate[channel][subStreamEncoder]);
		console.log("set_totalFramerate="+  current_totalFPS[channel][subStreamEncoder]);
*/
	}

	get_encoder_status('save_stream', set_totalBitrate, set_totalFramerate, ori_totalBitrate, ori_totalFramerate, function(){
	
	    for(var streamNum = 1; streamNum < 2; streamNum++)
			set_stream_status( 2,streamNum );
	});
}

function get_stream_default_value(StreamNum){

	var args = {
		"Function"		 : "APPS_GET_STREAMING_DEFAULT",
		"sessid" 	 	 : $.cookie("sessid"), 
		"StreamNum"      : StreamNum,
	}

	 _json_service( channel, args, callback=function( Channel, args){

			$("#stream_encoderSource" + StreamNum).val( args["EncoderNum"]);
			$("#set_StreamType" + StreamNum).val( args["StreamType"]);
			$("#set_rtspPort"		+ StreamNum).val( args["RtspPort"]);
			$("#set_rtspPortHttp" 	+ StreamNum).val( args["RtspPortHttp"]);
			$("#set_rtspAccount" 	+ StreamNum).val( args["RtspAccount"]);
			$("#set_rtspPassword" 	+ StreamNum).val( args["RtspPassword"]);
			$("#set_rtspSession" 	+ StreamNum).val( args["RtspStreamName"]);
			$("#set_rtmpURL"+ StreamNum).val("");
			$("#set_rtmpStreamName"+ StreamNum).val("");
			$("#set_rtmpAccount" + StreamNum).val(args["RtmpAccount"]);
			$("#set_rtmpPassword"+ StreamNum).val(args["RtmpPassword"]);
			$("#set_tsURL"	+ StreamNum).val( args["TsUrl"]);

			property_display(StreamNum);

			$("#start_streaming").attr("disabled",true);
//			console.log("get_stream_default("+StreamNum+") Return = "+args["Return"]);
	});
}

function get_stream_default(){

    for(var streamNum = 1; streamNum <= 2; streamNum++) {

		get_stream_default_value(streamNum);
	}
}

function get_advance_status(streamNum){
	
	var args = {
		sessid      : $.cookie("sessid"),
		Function	: "APPS_GET_STREAM_ADVANCE_STATUS",
	}
	_json_service( 0, args, callback=function(channel, args){
		

		if(args["Status"]==1){
			$("#start_streaming").attr("disabled",true);
			$("#stop_streaming").attr("disabled",true);
			$("#set_streaming_property").attr("disabled", true);
			$("#streaming_property_default").attr("disabled", true);
			get_stream_status(streamNum,1);
		}
		else{
			get_stream_status(streamNum,0);
		}
	});
	
}


function stream_source_status_check(){

	var val, result=0;

	var args = {
		sessid      : $.cookie("sessid"),
		Function	: "APPS_GET_STREAM_ADVANCE_STATUS",
	}

	_json_service( 0, args, callback=function(channel, args){

		if(args["Status"]!=1){

			for(var streamNum = 1; streamNum <= 2; streamNum++){
				myselect = document.getElementById("stream_encoderSource"+streamNum);
				
				val = myselect.options[myselect.selectedIndex].value;
		
				console.log("!!! Tim streamNum: "+streamNum, "stream_encoderSource +streamNum: "+val);
				
				if(val==9) {
		
					result++;
				};
			}
		
			if(result == 2){
		
				$("#start_streaming").attr("disabled",true);

				//console.log("111111111111111111111111111");
			}
			else{
				$("#start_streaming").attr("disabled",false);

				//console.log("222222222222222222222222222");
			}
		}
	});
}


function srt_mode_display(MainorSub){

	var show_hide_value=$("#set_srtmode"+MainorSub).val();
    var mode = document.getElementById("srt_mode_caller"+MainorSub);

    if(show_hide_value=="0")
    {
		mode.style.display = "";

		get_srtmode_display_property(show_hide_value, MainorSub);
       
    }
    else if(show_hide_value=="1")
    {
		mode.style.display = "none"; 
		
		get_srtmode_display_property(show_hide_value, MainorSub);
    }
}


function get_srtmode_display_property( Srtmode, StreamNum){

	var args = {
		sessid    	: $.cookie("sessid"),
		"Function"  : "APPS_GET_SRT_PROPERTY",
		"StreamNum" : StreamNum,
	}

	_json_service( channel, args, callback=function( Channel, args){


		$("#caller_ip_address"+ StreamNum).val( args["SrtCallerIP"]);
		$("#srt_latency"+ StreamNum).val( args["SrtLatency"]);


		if(Srtmode == 0){

			$("#set_srtname" + StreamNum).val( args["SrtCallerPort"]);
		}
		else if(Srtmode == 1){

			$("#set_srtname" + StreamNum).val( args["SrtPort"]);
			$("#get_srtURL"+ StreamNum).val( args["SrtUrl"]);
		}

		

	
		console.log("2019.09.24 get_srt_property StreamNum is "+ StreamNum);
		console.log("2019.09.24 get_srt_property SrtMode is "+ args["SrtMode"]);
		console.log("2019.09.24 get_srt_property SrtCallerIP is "+ args["SrtCallerIP"]);
		console.log("2019.09.24 get_srt_property SrtLatency is "+ args["SrtLatency"]);
		console.log("2019.09.24 get_srt_property SrtPort is "+ args["SrtPort"]);
		console.log("2019.09.24 get_srt_property SrtCallerPort is "+ args["SrtCallerPort"]);

	});
}